
import 'package:flutter/material.dart';
import 'view.dart';

class CustomAction{
  final Function callback;
  final Widget child;

  CustomAction({
    required this.callback,
    required this.child,
  });
}

class OwlnextActionsButton extends StatefulWidget {
  /// Owlnext Dropdown actions button
  /// Used to have multiple actions on the same button
  /// with a dropdown effect
  const OwlnextActionsButton({
    super.key,
    required this.text,
    required this.actionsList,
    this.width,
    required this.backgroundColor,
    required this.textColor,
    this.customOffset = const Offset(0, 75),
  });

  /// The text inside the button
  final String text;
  /// List of action to show in the dropdown
  final List<CustomAction> actionsList;
  /// [Optional] Specific width for the button
  /// The default behavior will take the space needed
  final double? width;
  /// Button background color
  final Color backgroundColor;
  /// Button text color
  final Color textColor;
  /// Custom [Offset] for the portal (default [Offset(0, 75)])
  final Offset customOffset;

  @override
  OwlnextActionsButtonState createState() {
    return OwlnextActionsButtonState();
  }
}

class OwlnextActionsButtonState extends State<OwlnextActionsButton> with DesktopViewMixin {
  LayerLink link = LayerLink();
  final OverlayPortalController portalController = OverlayPortalController();
  
  @override
  void initState() {
    super.initState();
  }

  @override
  void dispose() {
    super.dispose();
  }
  
  @override
  Widget build(BuildContext context) {
    return render(context, this);
  }
}
