
import 'package:flutter/material.dart';
import 'package:nirrti/nirrti.dart';
import 'package:nirrti/src/custom_components/custom_autocomplete/dropdown_container/view_model.dart';

mixin ViewMixin {
  render(BuildContext context, DropDownContainerState state) {
    return ConstrainedBox(
      constraints: BoxConstraints(
        minWidth: (Artist().maxInputWidth < (state.widget.width ?? 0)) ? Artist().maxInputWidth : state.widget.width!,
        maxWidth: (Artist().maxInputWidth < (state.widget.width ?? 0)) ? Artist().maxInputWidth : state.widget.width!,
        maxHeight:  state.widget.maxHeight,
        minHeight: 0,
      ),
      child: state.widget.isLoading == true ?
        Container(
          height: 100,
          decoration: BoxDecoration(
            color: Colors.white,
            boxShadow: [
              BoxShadow(
                color: Colors.grey.withOpacity(0.3),
                spreadRadius: 5,
                blurRadius: 7,
                offset: const Offset(0, 3),
              ),
            ],
          ),
          child: const OwlnextLoading(),
        )
      : state.widget.isDropdownShown == true ? SingleChildScrollView(
        child: Container(
          padding: const EdgeInsets.all(2),
          decoration: BoxDecoration(
            color: Colors.white,
            borderRadius: Artist().defaultBorderRadius,
            boxShadow: [
              BoxShadow(
                color: Colors.grey.withOpacity(0.3),
                spreadRadius: 5,
                blurRadius: 7,
                offset: const Offset(0, 3), // changes position of shadow
              ),
            ],
          ),
          child: Column(
            children: [
              if (state.widget.optionsList.isEmpty)
              Padding(
                padding: const EdgeInsets.symmetric(vertical: 12),
                child: Text(
                  "Aucun résultat",
                  style: Theme.of(context).textTheme.bodySmall?.copyWith(
                    fontStyle: FontStyle.italic,
                  )
                )
              ),
              for (AutocompleteOption item in state.widget.optionsList)
              Container(
                color: Colors.white,
                child: InkWell(
                  onTap: () {
                    state.widget.onClickOption(item);
                  },
                  child: IgnorePointer(
                    child: item.widget,
                  )
                ),
              ),
            ],
          ),
        ),
      ) : const SizedBox.shrink()
    );
  }
}