import 'package:flutter/material.dart';
import 'package:nirrti/src/custom_components/custom_autocomplete/view_model.dart';
import 'package:nirrti/src/custom_components/custom_input/view_model.dart';
import 'dropdown_container/view_model.dart';

mixin ViewMixin {
  render(BuildContext context, OwlnextAutocompleteState state) {
    return LayoutBuilder(
      builder: (BuildContext context, BoxConstraints constraints) { 
        return SizedBox(
          width: constraints.maxWidth,
          child: CompositedTransformTarget(
            link: state.link,
            child: OverlayPortal(
              controller: state.portalController,
              child: SizedBox(
                width: constraints.maxWidth,
                child: OwlnextInput(
                  label: state.widget.label,
                  controller: state.widget.controller,
                  onChanged: (val) {
                    state.streamController.add(val);
                  },
                  isInsideList: false,
                  focus: state.focus,
                  hintText: state.widget.hintText,
                  suffixIcon: state.widget.suffixIcon,
                  prefixIcon: state.widget.prefixIcon,
                ),
              ),
              overlayChildBuilder: (BuildContext context) {
                return CompositedTransformFollower(
                  showWhenUnlinked: false,
                  link: state.link,
                  offset: state.widget.customOffset,
                  targetAnchor: Alignment.topLeft,
                  child: Align(
                    alignment: Alignment.topLeft,
                    child: DropDownContainer(
                      width: constraints.maxWidth,
                      optionsList: state.widget.optionsList,
                      tooltipController: state.portalController,
                      onClickOption: state.onSelect,
                      label: state.widget.label,
                      maxHeight: state.widget.maxDropdownHeight,
                      isLoading: state.isLoading,
                      isDropdownShown: state.isDropdownShown,
                    ),
                  ),
                );
              },
            ),
          ),
        );
      }
    );
  }
}