
import 'package:flutter/material.dart';

class DesktopView {
  final BuildContext context;
  final String extension;

 DesktopView({
    required this.context,
    required this.extension,
  });

  render() {
    return Container(
      decoration: BoxDecoration(
        color: colorPicker().withOpacity(0.2),
        borderRadius: BorderRadius.circular(8)
      ),
      width: 40,
      height: double.infinity,
      child: Icon(
        iconPicker(),
        color: colorPicker(),
        size: 25
      ),
    );
  }

  Color colorPicker() {
    Color result = Colors.black;

    switch (extension) {
      case 'pdf':
        result = Theme.of(context).colorScheme.onError;
        break;
      case 'xls':
        result = Colors.green;
        break;
      case 'xlsx':
        result = Colors.green;
        break;
      case 'doc':
        result = const Color.fromARGB(255, 7, 73, 128);
        break;
      case 'docx':
        result = const Color.fromARGB(255, 7, 73, 128);
        break;
      case 'png':
        result = const Color.fromARGB(255, 7, 73, 128);
        break;
      case 'jpeg':
        result = const Color.fromARGB(255, 7, 73, 128);
        break;
      case 'jpg':
        result = const Color.fromARGB(255, 7, 73, 128);
        break;
    }

    return result;
  }

  IconData iconPicker() {
    IconData result = Icons.nat;

    switch (extension) {
      case 'pdf':
        result = Icons.picture_as_pdf;
        break;
      case 'xls':
        result = Icons.backup_table;
        break;
      case 'xlsx':
        result = Icons.backup_table;
        break;
      case 'doc':
        result = Icons.description;
        break;
      case 'docx':
        result = Icons.description;
        break;    
      case 'png':
        result = Icons.image;
        break;
      case 'jpeg':
        result = Icons.image;
        break;
      case 'jpg':
        result = Icons.image;
        break;  
    }

    return result;
  }
}
