
import 'package:flutter/material.dart';
import 'view.dart';

class OwlnextHelper extends StatelessWidget with ViewMixin {
  /// Owlnext helper widget
  /// Pretty simple to use,
  /// Refers to the different [HelperType]s for more details

  const OwlnextHelper({
    super.key,
    required this.message,
    this.type = TooltipType.classic,
    this.link = '',
    this.hasIcon = true,
  });

  /// String message to show inside the helper
  final String message;
  /// Mainly determines the colors
  final TooltipType type;
  /// Clickable link to display at the end of the helper
  final String link;
  /// The helper as an icon, determined by its type
  final bool hasIcon;

  @override
  Widget build(BuildContext context) {
    return render(context, this);
  }
}

enum TooltipType{
  classic,
  warning,
  error
}