import 'package:flutter/material.dart';

class MobileView {
  BuildContext context;
  AnimationController animationController;
  Alignment? alignment;

  MobileView({
    required this.context,
    required this.animationController,
    this.alignment
  });

  render() {
    return LayoutBuilder(
      builder: (BuildContext context, BoxConstraints constraints) { 
        return Align(
          alignment: alignment ?? Alignment.center,
          child: Container(
            width: 40,
            height: 40,
            alignment: Alignment.center,
            child: CircularProgressIndicator(
              value: animationController.value,
              color: Theme.of(context).colorScheme.secondary
            )
          )
        );
      }
    );
  }
}