
import 'package:flutter/material.dart';
import 'package:nirrti/nirrti.dart';
import 'package:nirrti/src/custom_components/custom_table/FilterWidget/view_model.dart';


mixin ViewMixin {
  render(BuildContext context, FilterWidgetState state) {
    return InkWell(
      onTap: () {
        state.widget.callback();
      },
      onHover: (value) {
        state.handleChangeIsHover(value); 
      },
      child: Container(
        height: 30,
        padding: Artist().defaultPadding,
        decoration: BoxDecoration(
          color: state.widget.isActive == true ? 
            state.isHover == true ? state.widget.color.withOpacity(0.5) : state.widget.color :
            state.isHover == true ? const Color.fromARGB(255, 241, 241, 241) : Colors.white,
          borderRadius: Artist().defaultBorderRadius,
          border: Border.all(
            color: Colors.black,
            width: state.widget.isActive == false ? 1 : 0
          )
        ),
        alignment: Alignment.center,
        child: Text(
          state.widget.label,
          style: Theme.of(context).textTheme.bodySmall?.copyWith(
            color: state.widget.isActive == true ? Colors.white : Colors.black,
          )
        )
      ),
    );
  }
}
