
import 'package:flutter/material.dart';
import 'view.dart';


class FilterWidget extends StatefulWidget {
  /// Owlnext Filters
  /// Used in OwlnextTables to display filters
  const FilterWidget({
    super.key,
    required this.color,
    required this.label,
    required this.callback,
    required this.isActive,
  });

  /// Filter color
  final Color color;
  /// Filter label
  final String label;
  /// Callback on click
  final Function callback;
  /// Is the filter active
  final bool isActive;

  @override
  FilterWidgetState createState() {
    return FilterWidgetState();
  }
}

class FilterWidgetState extends State<FilterWidget> with ViewMixin {
  bool isHover = false;

  @override
  void initState() {
    super.initState();
  }

  @override
  void dispose() {
    super.dispose();
  }

  void handleChangeIsHover(bool value) {
    setState(() {
      isHover = value;
    });
  }
  
  @override
  Widget build(BuildContext context) {
    return render(context, this);
  }
}
