
import 'package:flutter/material.dart';
import 'view.dart';

class TableRowIcon extends StatefulWidget {
  /// Owlnext Icon resolver
  /// Used in OwlnextTable
  const TableRowIcon({
    super.key,
    required this.type,
    required this.callback
  });

  /// Type of icon to show
  final IconType type;
  /// Callback on click
  final Function callback;

  @override
  TableRowIconState createState() {
    return TableRowIconState();
  }
}

class TableRowIconState extends State<TableRowIcon> with ViewMixin {

  @override
  void initState() {
    super.initState();
  }

  @override
  void dispose() {
    super.dispose();
  }
  
  @override
  Widget build(BuildContext context) {
    return render(context, this);
  }
}

enum IconType {
  delete,
  edit,
  validate,
  cog,
  pay,
  view,
  cross,
  user,
  download,
  note,
}