import 'package:flutter/material.dart';

/// Widget used to catch click and trigger an action callback when clicked on
/// Often used to catch click outside of popup or modal in order to close it
class OwlnextTapOutsideWrapper extends StatelessWidget {
  final Widget child;
  final void Function() onTapOutsideChild;

  const OwlnextTapOutsideWrapper({
    super.key,
    required this.child,
    required this.onTapOutsideChild,
  });

  //@override
  //TapOutsideWrapperState createState() => TapOutsideWrapperState();

  @override
  Widget build(BuildContext context) {
    return Stack(
      children: [
        GestureDetector(
          onTap: () {
            onTapOutsideChild();
          },
          child: Container(
            width: MediaQuery.of(context).size.width,
            height: MediaQuery.of(context).size.height,
            color: Colors.grey.withOpacity(0.2),
          ),
        ),
        child
      ],
    );
  }
}