import 'package:intl/intl.dart';

extension DateTimeExtension on DateTime {
  String formatDateFromDateTime({ hasHours = false }) {
    var outputFormat = DateFormat('dd/MM/yyyy');

    if (hasHours == true) {
      outputFormat = DateFormat('dd/MM/yyyy HH:mm');
    }

    var outputDate = outputFormat.format(this);

    return outputDate;
  }

  String formatDateTimeToIso () {
    var outputFormat = DateFormat('yyyy-MM-ddTHH:mm:ss');
    var outputDate = outputFormat.format(this);

    return outputDate;
  }

  String formatShortDateFromDateTime() {
    var outputFormat = DateFormat('dd/MM');
    var outputDate = outputFormat.format(this);

    return outputDate;
  }
}