
import 'dart:developer';
import 'dart:math';

extension DoubleExtension on double {
  String parseDoubleIntoAmount({ int decimals = 2 }) {
    String parsed = toStringAsFixed(decimals).replaceAll('.', ',');
    
    final result = parsed.replaceAllMapped(
        RegExp(r'(\d{1,3})(?=(\d{3})+(?!\d))'), (Match m) => '${m[1]} ');
    return result;
  }
  
  int formatAmountFromDouble(scale) {
    try {
      double correctAmount = this * (pow(10, scale));

      return int.parse(correctAmount.toStringAsFixed(0));
    } catch (e) {
      inspect(e);
    }

    return -1;
  }
}