import 'package:flutter/material.dart';

/// Singleton class
/// Determines the styles to apply in every Nirrti Widget
/// Has to be instanciated in the main() function of the Flutter app
class Artist {
  /// [TextStyle] for the inputs labels
  TextStyle labelTextStyle = const TextStyle();
  /// [InputDecoration] for the inputs contents
  InputDecoration inputDecoration = const InputDecoration();
  /// [TextStyle] for the inputs contents
  TextStyle innerInputTextStyle = const TextStyle();
  /// Spacing between labels and inputs
  double labelBottomSpace = 0;
  BorderRadius defaultBorderRadius = BorderRadius.circular(8);
  Color inputBorderColor = const Color.fromARGB(255, 218, 218, 218);
  EdgeInsets defaultPadding = const EdgeInsets.all(12);
  double listSeparatorHeight = 8;
  double defaultSeparation = 12;
  double maxInputWidth = 500;
  Color disabledFilledInputColor = Colors.grey.withOpacity(0.3);
  double horizontalLabelWidth = 250;

  static final Artist _singleton = Artist._internal();
  Artist._internal();

  factory Artist() {
    return _singleton;
  }
}

enum InputType {
  column,
  row,
}