import 'package:flutter/material.dart';

class ErrorType{
  int errorCode;
  String errorMessage;

  ErrorType({
    required this.errorCode,
    required this.errorMessage
  });

  SnackBar show(BuildContext context, String message) {
    SnackBar snackBar = SnackBar(
      backgroundColor: Colors.transparent,
      elevation: 0,
      content: Align(
        alignment: Alignment.centerRight,
        child: Container(
          width: 350,
          padding: const EdgeInsets.all(15),
          decoration: BoxDecoration(
            color: Theme.of(context).colorScheme.onError,
            borderRadius: BorderRadius.circular(10)
          ),
          child: Row(
            children: [
              const Icon(
                Icons.warning,
                color: Colors.white
              ),
              const SizedBox(
                width: 12
              ),
              Expanded(
                child: Text(
                  message
                ),
              ),
            ]
          )
        ),
      ),
      behavior: SnackBarBehavior.floating,
    );

    return snackBar;
  }
}