import 'dart:convert';
import 'dart:typed_data';
// ignore: avoid_web_libraries_in_flutter
import 'dart:html' as html;

import 'package:nirrti/src/utils/file/file_utils.dart';

class FileUtilsWeb extends FileUtils {
  void handleDownloadDocument(Uint8List? bytes) async {
    try {
      final base64 = base64Encode(bytes!);
      // Create the link with the file
      final anchor =
          html.AnchorElement(href: 'data:application/octet-stream;base64,$base64')
            ..target = 'blank'
            ..download = 'document';
      // trigger download
      html.document.body?.append(anchor);
      anchor.click();
      anchor.remove();
    } catch (e) {        
      throw(FileError.genericError);
    }
  }
}